Loading...
Searching...
No Matches
etl::circular_buffer_base Class Reference

## Public Types

typedef size_t | size_type
| The type used for determining the size of queue.

## Public Member Functions

size_type | size () const
bool | empty () const
bool | full () const
size_type | available () const
size_type | max_size () const
size_type | capacity () const

## Protected Member Functions

| circular_buffer_base (size_type buffer_size_)
void | increment_in ()
void | increment_out ()

## Protected Attributes

size_type | buffer_size
size_type | in
| Index to the next write.
size_type | out
| Index to the next read.
| ETL_DECLARE_DEBUG_COUNT
| Internal debugging.

The documentation for this class was generated from the following file:

- include/etl/circular_buffer.h